io.vertx.servicediscovery.backend.redis

## Class RedisBackendService

- java.lang.Object
- - io.vertx.servicediscovery.backend.redis.RedisBackendService

- All Implemented Interfaces:
    ServiceDiscoveryBackend

      public class RedisBackendService
      extends Object
      implements ServiceDiscoveryBackend

  An implementation of the discovery backend based on Redis.
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedisBackendService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getRecord(String uuid, Handler<AsyncResult<Record>> resultHandler)` Get the record with the given uuid.
    `void` | `getRecords(Handler<AsyncResult<List<Record>>> resultHandler)` Gets all the records
    `void` | `init(Vertx vertx, JsonObject configuration)` Initializes the backend.
    `void` | `remove(Record record, Handler<AsyncResult<Record>> resultHandler)` Removes a record.
    `void` | `remove(String uuid, Handler<AsyncResult<Record>> resultHandler)` Removes a records based on its UUID.
    `void` | `store(Record record, Handler<AsyncResult<Record>> resultHandler)` Stores a record.
    `void` | `update(Record record, Handler<AsyncResult<Void>> resultHandler)` Updates a record

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.servicediscovery.spi.ServiceDiscoveryBackend

      `name`

- - ### Constructor Detail

    - #### RedisBackendService

          public RedisBackendService()

  - ### Method Detail

    - #### init

          public void init(Vertx vertx,
                           JsonObject configuration)

      Description copied from interface: `ServiceDiscoveryBackend`
      Initializes the backend.
      Specified by:
        `init` in interface `ServiceDiscoveryBackend`
      Parameters:
        `vertx` - the vert.x instance
        `configuration` - the configuration if any.

    - #### store

          public void store(Record record,
                            Handler<AsyncResult<Record>> resultHandler)

      Description copied from interface: `ServiceDiscoveryBackend`
      Stores a record.
      Specified by:
        `store` in interface `ServiceDiscoveryBackend`
      Parameters:
        `record` - the record
        `resultHandler` - the completion handler

    - #### remove

          public void remove(Record record,
                             Handler<AsyncResult<Record>> resultHandler)

      Description copied from interface: `ServiceDiscoveryBackend`
      Removes a record.
      Specified by:
        `remove` in interface `ServiceDiscoveryBackend`
      Parameters:
        `record` - the record
        `resultHandler` - the completion handler

    - #### remove

          public void remove(String uuid,
                             Handler<AsyncResult<Record>> resultHandler)

      Description copied from interface: `ServiceDiscoveryBackend`
      Removes a records based on its UUID.
      Specified by:
        `remove` in interface `ServiceDiscoveryBackend`
      Parameters:
        `uuid` - the uuid / registration id
        `resultHandler` - the completion handler

    - #### update

          public void update(Record record,
                             Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ServiceDiscoveryBackend`
      Updates a record
      Specified by:
        `update` in interface `ServiceDiscoveryBackend`
      Parameters:
        `record` - the record to update
        `resultHandler` - the completion handler

    - #### getRecords

          public void getRecords(Handler<AsyncResult<List<Record>>> resultHandler)

      Description copied from interface: `ServiceDiscoveryBackend`
      Gets all the records
      Specified by:
        `getRecords` in interface `ServiceDiscoveryBackend`
      Parameters:
        `resultHandler` - the result handler

    - #### getRecord

          public void getRecord(String uuid,
                                Handler<AsyncResult<Record>> resultHandler)

      Description copied from interface: `ServiceDiscoveryBackend`
      Get the record with the given uuid.
      Specified by:
        `getRecord` in interface `ServiceDiscoveryBackend`
      Parameters:
        `uuid` - the uuid / registration id
        `resultHandler` - the result handler

Copyright © 2020 Eclipse. All rights reserved.